import 'package:enx_uikit_flutter/controller/enx_controller.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get_core/src/get_main.dart';


import 'package:get/get_navigation/src/extension_navigation.dart';

Future<dynamic> showMoreDialog(context,EnxController obj){
  return showDialog(
      context: context,
      builder: (BuildContext context) {
        return SimpleDialog(

            children:[

              for(var item in obj.moreList ) SwitchListTile(
                title: Text(item.name,style: TextStyle(
                    color: Colors.black,
                    fontWeight: FontWeight.w800,
                    fontSize: 16.sp
                ),
                ),
                value: item.status,
                activeColor: Colors.red,
                inactiveTrackColor: Colors.grey,
                onChanged: (bool value) {

                  item.status=value;
                  obj.updateMoreList(item);
                  Get.back();

                },
                secondary:Image.asset(
                  item.status?item.activeIcon:item.icon,package: 'enx_uikit_flutter',),

              )
            ]
        );
      }
  );
}